import { jsx } from "react/jsx-runtime";
import { Ruler as Ruler$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Ruler = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Ruler", ...props, children: /* @__PURE__ */ jsx(Ruler$1, { weight: variant }) });
  }
);
Ruler.displayName = "Ruler";
Object.assign(Ruler, { isGdsIcon: true });
export {
  Ruler
};
